Drop special handling of iOS and Android
ClosedPublic

Authored by angerman on May 12 2017, 9:29 PM.

Details

Summary

As far as GHC is concerned, iOS is Darwin, and
Android is Linux.

Depends on D3352

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
angerman created this revision.May 12 2017, 9:29 PM
angerman updated this revision to Diff 12558.May 13 2017, 8:37 AM
  • reabase
bgamari accepted this revision.May 17 2017, 9:50 AM

Yep, I see no reason why we shouldn't do this. Thanks @angerman!

This revision is now accepted and ready to land.May 17 2017, 9:50 AM
angerman updated this revision to Diff 12638.May 20 2017, 12:27 AM
  • cleanup
angerman updated this revision to Diff 12773.Jun 6 2017, 10:20 AM
  • Always allow -staticlib
angerman updated this revision to Diff 13031.Jul 4 2017, 10:52 PM
  • reabase onto master
angerman updated this revision to Diff 13084.Jul 9 2017, 8:46 PM
  • rebase
angerman updated this revision to Diff 13126.Jul 11 2017, 8:14 PM
  • properly rebase onto D3352
angerman updated this revision to Diff 13134.Jul 12 2017, 2:59 AM
  • rebase onto fixed master
angerman updated this revision to Diff 13736.Sep 5 2017, 2:09 AM
  • rebase
angerman updated this revision to Diff 13753.Sep 5 2017, 7:11 AM
  • rebase
angerman updated this revision to Diff 13761.Sep 6 2017, 3:51 AM
  • rebase
This revision was automatically updated to reflect the committed changes.